<app-header></app-header>
<mat-drawer-container class="example-container" autosize>
  <div class="example-sidenav-content">
    <app-titlemodule class="divtitle" [title] = title [route] = route></app-titlemodule>
    <div class="container-fluid float-left col-12 col-qpad divtop">
      <app-button [banctrl]="[false ,true, false, false, true, true]" [opcion] = 1 [modulo]="modulo" ></app-button>
    </div>
    <!-- <div class="container-fluid float-left div-table">
      <table class="table table-fixed font-comp table-style">
        <thead>
        <tr>
          <th scope="col" class="col-100 col-l">

          </th>
          <th class="col-l col-100" scope="col">CÓDIGO</th>
          <th class="col-l col-w" scope="col">DESCRIPCION</th>
          <th class="col-l col-w" scope="col">SUPERIOR</th>
          <th class="col-l col-w" scope="col" *ngIf="configservc.stcat">CATEGORÍA</th>
        </tr>
        </thead>
        </table>
    </div> -->
    <div class="container-fluid float-left div-table" >
      <table class="table table-fixed font-comp table-style">
        <thead>
        <tr>
          <th scope="col" class="col-100 col-l">

          </th>
          <th class="col-l col-w" scope="col">CÓDIGO</th>
          <th class="col-l namemd" scope="col">DESCRIPCION</th>
          <th class="col-l namemd" scope="col">SUPERIOR</th>
          <th class="col-l namemd" scope="col" *ngIf="configservc.stcat">CATEGORÍA</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let regist of configservc.datacategoria">

          <th scope="row" class="col-100 col-l">
            <a *ngIf="regist.activo == 0 || regist.activo == '\u0000'" class="btn btn-sm btn-reg btn-a" matTooltip="Activar registro" (click)="estado(1,regist); regserv.categoria_reg = regist"><i class="fa fa-check"></i> </a>
            <a *ngIf="regist.activo == 1 || regist.activo == '\u0001'" class="btn btn-sm btn-danger btn-a" matTooltip="Dar de baja registro" (click)="estado(0,regist); regserv.categoria_reg = regist"><i class="fa fa-times"></i> </a>
            <a class="btn btn-sm btn-dark btn-a" matTooltip="Editar registro" (click)="nvoservc.nuevaCategoria(true, regist)"><i class="fa fa-edit"></i></a>
          </th>
          <td class="col-l col-100">{{ regist.codigo }}</td>
          <td class="col-l col-w">{{ regist.descripcion }}</td>
          <td class="col-l col-w" >{{ regist.descsuperior }}</td>
          <td class="col-l col-w" *ngIf="configservc.stcat">{{ regist.descategoria }}</td>
        </tr>
        <tr *ngIf="configservc.datacategoriaglobal.length == 0" class="col-c cel-ie">
          <td *ngIf="!configservc.stcat" colspan="4">No hay registros.</td>
          <td *ngIf="configservc.stcat" colspan="5">No hay registros.</td>
        </tr>
        </tbody>
        <!-- <tfoot>
          <tr >
            <td *ngIf="!configservc.stcat" colspan="4" class="col-r"><b>{{ configservc.datacategoriaglobal.length | number }} registros</b></td>
            <td *ngIf="configservc.stcat" colspan="5" class="col-r"><b>{{ configservc.datacategoriaglobal.length | number }} registros</b></td>
          </tr>
        </tfoot> -->
      </table>
    </div>
    <div class="container-fluid d-flex justify-content-between p-2">
      <mat-paginator [length]="configservc.datacategoriaglobal.length" (page)="configservc.datacategoria = pageService.actualizaTabla2(configservc.datacategoriaglobal, $event)"
            [pageSize]="pageService.pageSize"
            [pageSizeOptions]="pageService.pageSizeOptions">
      </mat-paginator>
      <!-- <ngb-pagination class="font-comp" [collectionSize]="collectionSize" [(page)]="page" [pageSize]="pageSize" (pageChange)="actualizaTabla()">
      </ngb-pagination>

      <select class="custom-select font-comp" style="width: auto" [(ngModel)]="pageSize" (ngModelChange)="actualizaTabla()">
        <option [value]="5">5 items por página</option>
        <option [value]="10">10 items por página</option>
        <option [value]="15">15 items por página</option>
        <option [value]="configservc.datacategoria.length"> todos los items</option>
      </select> -->
    </div>
  </div>
  <mat-drawer #drawer class="example-sidenav" >
    <app-menu></app-menu>
  </mat-drawer>
  <!-- <app-registro></app-registro> -->
</mat-drawer-container>


